Presets

Presets

List presets

get

List presets created by Cutz.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
account_uuidstringOptional

account uuid

searchstringOptional

name

pageintegerOptional

default page=1

limitintegerOptional

default limit=12

Responses
chevron-right
200

Presets

application/json
namestringRequired
uuidstringRequired
renditionsApp\Form\Dto\Presets\RenditionDto[]Required
tagsstring[]Required
get
/api/v1/presets
200

Presets

Get preset JSON schema

get

Get the JSON representation of a preset to help you create a new one.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Preset JSON schema

application/json
namestringRequired
uuidstringRequired
renditionsApp\Form\Dto\Presets\RenditionDto[]Required
tagsstring[]Required
get
/api/v1/presets/json-schema
200

Preset JSON schema

Get preset

get

Get informations corresponding to a specific preset.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
preset_uuidstringRequired
Responses
chevron-right
200

Presets

application/json
namestringRequired
uuidstringRequired
renditionsApp\Form\Dto\Presets\RenditionDto[]Required
tagsstring[]Required
get
/api/v1/presets/{preset_uuid}
200

Presets

Validate preset

post

Validate a video encoding configuration

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
presetobjectRequired

The video encoding configuration to validate

Responses
chevron-right
200

ok

application/json
uuidstringOptionalDefault: ""
namestringRequired
pathstring · nullableOptional
typestring · enumRequiredPossible values:
presetsobject[]OptionalDefault: []
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
notesstring · nullableOptional
post
/api/v1/presets/validate
200

ok

Last updated